# frozen_string_literal: true

require_relative 'lib/izokatu/version'

Gem::Specification.new do |spec|
  spec.name          = 'izokatu'
  spec.version       = Izokatu::VERSION
  spec.authors       = ['mongalless']

  spec.summary       = 'Ruby library that provides abstact interface for private-key and public-key cryptography using RbNaCl and OpenSSL'
  spec.homepage      = 'https://gitlab.com/mongalless/izokatu'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.6')

  spec.metadata = {
    'documentation_uri' => 'https://www.rubydoc.info/gems/izokatu',
    'homepage_uri' => spec.homepage,
    'source_code_uri' => spec.homepage
  }

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.extra_rdoc_files = ['README.md']

  spec.add_dependency 'contracts', '~> 0.14.0'
  spec.add_dependency 'ecies', '~> 0.3.0'
  spec.add_dependency 'openssl', '~> 2.2'
  spec.add_dependency 'rake', '~> 13.0', '>= 13.0.1'
  spec.add_dependency 'rbnacl', '~> 7.1', '>= 7.1.1'
  spec.add_development_dependency 'bundler-audit', '~> 0.7.0.1'
  spec.add_development_dependency 'rspec', '~> 3.9'
  spec.add_development_dependency 'rubocop', '~> 0.89.1'
  spec.add_development_dependency 'rubocop-performance', '~> 1.7', '>= 1.7.1'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.43', '>= 1.43.1'
  spec.add_development_dependency 'simplecov', '~> 0.19.1'
  spec.add_development_dependency 'yard', '~> 0.9'
end
